From: Renjian Lu <[email-masked]>
Date: Wed, 17 Nov 93 11:19:36 CST

> From [email-masked] Wed Nov 10 00:52:35 1993
> Date: Wed, 10 Nov 93 00:54:21 CST
> Reply-To: [email-masked]
> Originator: [email-masked]
> Sender: [email-masked]
> From: [email-masked] (Shi Li)
> To: Multiple recipients of list <[email-masked]>
> Subject: Lad application in Houston INS
> X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
> X-Comment:  Late-Arrival-DependentS-List 
> Content-Length: 222
> 
> I applied for PR as a lad through I-485 in Houston INS about 3 months ago and
> have not heard anything from them yet. Any one in Hoston has same or different
> situation? What should I do after 90days ?
> Thx for any comments.
> 

1. FYI, my lads just got their interview notices yesterday.  We filed I-485
   in Houston in late Aug.

2. BTW, does anybody has an experience about how long a physical examination
   could be valid.  My lads had the examination done before filing I-485 and
   the forms were not needed then.  I wonder if these examinations can still
   be used at the interview, as there will be more then 3 months old.

renjian